org.vishia.commander

## Class FcmdFileProps

- java.lang.Object
- - org.vishia.commander.FcmdFileProps

-     public class FcmdFileProps
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) FileRemote` | `actFile` True while a change commission is send and no answer is received yet.
    `(package private) GralUserAction` | `actionBtnCntLen` Action for Key F2 for view command.
    `(package private) GralUserAction` | `actionButton` Action for all buttons of 'file properties' window:
    `(package private) GralUserAction` | `actionInvisible`
    `(package private) GralUserAction` | `actionOpenDialog` Action for Key F2 for view command.
    `(package private) boolean` | `bUnixSystem` True if it is a unix system.
    `(package private) EventConsumer` | `callbackChgProps`
    `(package private) EventConsumer` | `callbackCntLen`
    `(package private) FileRemote.CallbackEvent` | `evChg`
    `(package private) FileRemote.CallbackEvent` | `evCntLen`
    `(package private) EventSource` | `evSrc`
    `(package private) java.text.DateFormat` | `formatDate`
    `(package private) boolean` | `isVisible` True then the window is opened.
    `protected Fcmd` | `main`
    `(package private) static java.lang.String` | `sCmdAbort`
    `(package private) static java.lang.String` | `sCmdChg`
    `(package private) static java.lang.String` | `sCmdChgRecurs`
    `(package private) static java.lang.String` | `sCmdCopy`
    `(package private) static java.lang.String` | `sCmdQuit`
    `(package private) java.lang.String` | `sHidden`
    `(package private) java.lang.String` | `sNonHidden`
    `(package private) java.lang.String` | `sNonSubdir`
    `(package private) java.lang.String` | `sRdOnly`
    `(package private) java.lang.String` | `sSubdir`
    `(package private) java.lang.String` | `sWrAble`
    `static int` | `version` Version, history and license 2015-05-16 Hartmut bufgix: dateFormat 2012-03-10 Hartmut improved: Now works tested in windows 2012-03-09 Hartmut created, but not used yet Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid.
    `(package private) GralButton` | `widgBtnDirBytes`
    `(package private) GralButton` | `widgChgFile` Action button.
    `(package private) GralButton` | `widgChrRecurs` Action button.
    `(package private) GralButton` | `widgCopyFile` Action button.
    `(package private) GralTextField_ifc` | `widgDate`
    `(package private) GralTextField_ifc` | `widgDir`
    `(package private) GralButton` | `widgDirectory`
    `(package private) GralButton` | `widGetAllProps` Action button.
    `(package private) GralButton[]` | `widgEx`
    `(package private) GralButton` | `widgGID`
    `(package private) GralButton` | `widgHidden`
    `(package private) GralTextField_ifc` | `widgLength`
    `(package private) GralTextField_ifc` | `widgLink`
    `(package private) GralTextField_ifc` | `widgName`
    `(package private) GralButton[]` | `widgRd`
    `(package private) GralButton` | `widgSticky`
    `(package private) GralButton` | `widgUID`
    `(package private) GralButton[]` | `widgWr`
    `(package private) GralWindow_ifc` | `windFileProps`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FcmdFileProps(Fcmd main)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `buildWindow()` Builds the content of the file property window.
    `(package private) void` | `openDialog(FileRemote src)` Opens the view window and fills its content.
    `(package private) void` | `showFileInfos(FileRemote src)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, history and license
      - 2015-05-16 Hartmut bufgix: dateFormat
      - 2012-03-10 Hartmut improved: Now works tested in windows
      - 2012-03-09 Hartmut created, but not used yet
      Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL ist not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but don't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you are intent to use this sources without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### main

          protected final Fcmd main

    - #### windFileProps

          GralWindow_ifc windFileProps

    - #### widgName

          GralTextField_ifc widgName

    - #### widgDir

          GralTextField_ifc widgDir

    - #### widgLink

          GralTextField_ifc widgLink

    - #### widgDate

          GralTextField_ifc widgDate

    - #### widgLength

          GralTextField_ifc widgLength

    - #### widgRd

          GralButton[] widgRd

    - #### widgWr

          GralButton[] widgWr

    - #### widgEx

          GralButton[] widgEx

    - #### widgUID

          GralButton widgUID

    - #### widgGID

          GralButton widgGID

    - #### widgSticky

          GralButton widgSticky

    - #### widgHidden

          GralButton widgHidden

    - #### widgDirectory

          GralButton widgDirectory

    - #### widgBtnDirBytes

          GralButton widgBtnDirBytes

    - #### widGetAllProps

          GralButton widGetAllProps

      Action button.

    - #### widgChrRecurs

          GralButton widgChrRecurs

      Action button.

    - #### widgChgFile

          GralButton widgChgFile

      Action button.

    - #### widgCopyFile

          GralButton widgCopyFile

      Action button.

    - #### formatDate

          java.text.DateFormat formatDate

    - #### sWrAble

          final java.lang.String sWrAble

      See Also:
        Constant Field Values

    - #### sRdOnly

          final java.lang.String sRdOnly

      See Also:
        Constant Field Values

    - #### sHidden

          final java.lang.String sHidden

      See Also:
        Constant Field Values

    - #### sNonHidden

          final java.lang.String sNonHidden

      See Also:
        Constant Field Values

    - #### sSubdir

          final java.lang.String sSubdir

      See Also:
        Constant Field Values

    - #### sNonSubdir

          final java.lang.String sNonSubdir

      See Also:
        Constant Field Values

    - #### sCmdChg

          static final java.lang.String sCmdChg

      See Also:
        Constant Field Values

    - #### sCmdCopy

          static final java.lang.String sCmdCopy

      See Also:
        Constant Field Values

    - #### sCmdChgRecurs

          static final java.lang.String sCmdChgRecurs

      See Also:
        Constant Field Values

    - #### sCmdQuit

          static final java.lang.String sCmdQuit

      See Also:
        Constant Field Values

    - #### sCmdAbort

          static final java.lang.String sCmdAbort

      See Also:
        Constant Field Values

    - #### bUnixSystem

          boolean bUnixSystem

      True if it is a unix system. It checks the "OS" environment variable.

    - #### isVisible

          boolean isVisible

      True then the window is opened. Write acutal file into.

    - #### actFile

          FileRemote actFile

      True while a change commission is send and no answer is received yet.

    - #### evChg

          final FileRemote.CallbackEvent evChg

    - #### evCntLen

          final FileRemote.CallbackEvent evCntLen

    - #### actionOpenDialog

          GralUserAction actionOpenDialog

      Action for Key F2 for view command.

    - #### evSrc

          EventSource evSrc

    - #### actionButton

          GralUserAction actionButton

      Action for all buttons of 'file properties' window:

    - #### actionInvisible

          GralUserAction actionInvisible

    - #### callbackChgProps

          EventConsumer callbackChgProps

    - #### actionBtnCntLen

          GralUserAction actionBtnCntLen

      Action for Key F2 for view command.

    - #### callbackCntLen

          EventConsumer callbackCntLen

  - ### Constructor Detail

    - #### FcmdFileProps

          public FcmdFileProps(Fcmd main)

  - ### Method Detail

    - #### buildWindow

          void buildWindow()

      Builds the content of the file property window. The window is created static. It is shown whenever it is used.

    - #### openDialog

          void openDialog(FileRemote src)

      Opens the view window and fills its content.
      Parameters:
        `src` - The path which is selected as source. It may be a directory or a file.

    - #### showFileInfos

          void showFileInfos(FileRemote src)